clear
param
load coef

h=300;

yp=1; cp=2; ip=3; kp=4; omp=5;
v=zeros(5,h+1);

v(kp,1)=kss;
v(omp,1)=1;

for j=1:h
    zv=[v(kp,j) v(omp,j)];
    v(cp,j)=chebypol(zv,cf,lb,ub);
    v(yp,j)=v(omp,j)*v(kp,j)^sk;
    v(ip,j)=v(yp,j)-v(cp,j);
    v(kp,j+1)=((1-dk)*v(kp,j)+v(ip,j))/g;
    v(omp,j+1)=exp(rho*log(v(omp,j)));
end;

v=v(:,1:h);
save simul_out v h
impulse