clear;
param;
load coef;

nexp=100; h=100;

yp=1; cp=2; ip=3; kp=4; omp=5;
v=zeros(5,h+1);
v1=[cp;ip;kp;omp];
v2=[yp;v1];

m_std1=zeros(size(v2,1),nexp);
m_std2=zeros(size(v1,1),nexp);
m_cor=zeros(size(v1,1),nexp);
m_au=zeros(size(v2,1),nexp);

t0=clock;
dr=0;
rn=1;

while rn<=nexp
	   	   
      sck=sigma*randn(h+1,1);
      v(kp,1)=kss;
      v(omp,1)=exp(sck(1));

      for j=1:h
          zv=[v(kp,j) v(omp,j)];
          v(cp,j)=chebypol(zv,cf,lb,ub);
          v(yp,j)=v(omp,j)*v(kp,j)^sk;
          v(ip,j)=v(yp,j)-v(cp,j);
          v(kp,j+1)=((1-dk)*v(kp,j)+v(ip,j))/g;
          v(omp,j+1)=exp(rho*log(v(omp,j))+sck(j+1));
      end;

      ir=log(v(:,1:h)');
 
      disp(['Completed ' num2str(rn/nexp*100) '%']);
      ir=hpf(ir,1600);
      m_std1(:,rn)=std(ir(:,v2))'*100;
      m_std2(:,rn)=(std(ir(:,v1))/std(ir(:,yp)))';
      m_au(:,rn)=acor(ir(:,v2),1)';
      x=corrcoef(ir);
      m_cor(:,rn)=x(v1,yp);
      rn=rn+1;
		   
end;

name=['Y ';'C ';'I ';'K ';'A '];
save output m_std1 m_std2 m_au m_cor h v1 v2 name;