clear;
load output;

nexp=size(m_std1,2);
t='	';

stdm1(:,1)=mean(m_std1')';
stdm1(:,2)=median(m_std1')';
stdm1(:,3)=std(m_std1')';
stdm1(:,4)=min(m_std1')';
stdm1(:,5)=max(m_std1')';
stdm1(:,6)=kurtosis(m_std1')';
stdm1(:,7)=skewness(m_std1')';

stdm2(:,1)=mean(m_std2')';
stdm2(:,2)=median(m_std2')';
stdm2(:,3)=std(m_std2')';
stdm2(:,4)=min(m_std2')';
stdm2(:,5)=max(m_std2')';
stdm2(:,6)=kurtosis(m_std2')';
stdm2(:,7)=skewness(m_std2')';

au(:,1)=mean(m_au')';
au(:,2)=median(m_au')';
au(:,3)=std(m_au')';
au(:,4)=min(m_au')';
au(:,5)=max(m_au')';
au(:,6)=kurtosis(m_au')';
au(:,7)=skewness(m_au')';

cor(:,1)=mean(m_cor')';
cor(:,2)=median(m_cor')';
cor(:,3)=std(m_cor')';
cor(:,4)=min(m_cor')';
cor(:,5)=max(m_cor')';
cor(:,6)=kurtosis(m_cor')';
cor(:,7)=skewness(m_cor')';

delete output.txt;
diary output.txt;

clc
disp(['Performed simulations:           ' num2str(nexp)]);
disp(' ');
disp(' ');
disp('Standard deviations:');
disp(' ');
tit='Var.	Avg	Med	Std	Min	Max	Kur	Ske';
f='%3.2f\t';
disp(tit);
disp(' ');
disp([name(v2,:) t(ones(size(v2,1),1),:) num2str(stdm1,f)]);
disp(' ');
disp('Relative Standard deviations:');
disp(' ');
tit='Var.	Avg	Med	Std	Min	Max	Kur	Ske';
f='%3.2f\t';
disp(tit);
disp(' ');
disp([name(v1,:) t(ones(size(v1,1),1),:) num2str(stdm2,f)]);
disp(' ');
disp('Autocorrelations:');
disp(' ');
disp(tit);
disp(' ');
disp([name(v2,:) t(ones(size(v2,1),1),:) num2str(au,f)]);
disp(' ');
disp('Correlations with Output:');
disp(' ');
disp(tit);
disp(' ');
disp([name(v1,:) t(ones(size(v1,1),1),:) num2str(cor,f)]);
disp(' ');

diary off;
clear;